vBulletin reminder.php Add Reminder Field title Variable XSS

2006-01-01T09:18:20
ID OSVDB:22220
Type osvdb
Reporter trueend5(trueend5@kapda.ir)
Modified 2006-01-01T09:18:20

Description

Vulnerability Description

vBulletin contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'title' variable upon submission to the 'reminder.php' script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Solution Description

Upgrade to version 3.5.3 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

vBulletin contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'title' variable upon submission to the 'reminder.php' script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

References:

Vendor URL: http://www.vbulletin.com Secunia Advisory ID:18299 Related OSVDB ID: 22210 Other Advisory URL: http://kapda.ir/advisory-177.html Mail List Post: http://archives.neohapsis.com/archives/bugtraq/2006-01/0126.html Mail List Post: http://archives.neohapsis.com/archives/bugtraq/2006-01/0004.html CVE-2006-0080